com.genesyslab.wfm8.API.service.performance810

## Class SData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.performance810.SData

- All Implemented Interfaces:
    java.io.Serializable

      public class SData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected double` | `current`
    `protected double` | `end`
    `protected int` | `granularity`
    `protected int` | `groupID`
    `protected int` | `item`
    `private static long` | `serialVersionUID`
    `protected double` | `start`
    `protected int` | `target`
    `protected int` | `targetID`
    `protected java.util.List<java.lang.Double>` | `values`
    `protected int` | `valuesArraySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getCurrent()` Gets the value of the current property.
    `double` | `getEnd()` Gets the value of the end property.
    `int` | `getGranularity()` Gets the value of the granularity property.
    `int` | `getGroupID()` Gets the value of the groupID property.
    `int` | `getItem()` Gets the value of the item property.
    `double` | `getStart()` Gets the value of the start property.
    `int` | `getTarget()` Gets the value of the target property.
    `int` | `getTargetID()` Gets the value of the targetID property.
    `java.util.List<java.lang.Double>` | `getValues()` Gets the value of the values property.
    `int` | `getValuesArraySize()` Gets the value of the valuesArraySize property.
    `int` | `hashCode()`
    `void` | `setCurrent(double value)` Sets the value of the current property.
    `void` | `setEnd(double value)` Sets the value of the end property.
    `void` | `setGranularity(int value)` Sets the value of the granularity property.
    `void` | `setGroupID(int value)` Sets the value of the groupID property.
    `void` | `setItem(int value)` Sets the value of the item property.
    `void` | `setStart(double value)` Sets the value of the start property.
    `void` | `setTarget(int value)` Sets the value of the target property.
    `void` | `setTargetID(int value)` Sets the value of the targetID property.
    `void` | `setValues(java.util.List<java.lang.Double> values)` Sets the value of the values property.
    `void` | `setValuesArraySize(int value)` Sets the value of the valuesArraySize property.
    `java.lang.String` | `toString()`
    `SData` | `withCurrent(double value)`
    `SData` | `withEnd(double value)`
    `SData` | `withGranularity(int value)`
    `SData` | `withGroupID(int value)`
    `SData` | `withItem(int value)`
    `SData` | `withStart(double value)`
    `SData` | `withTarget(int value)`
    `SData` | `withTargetID(int value)`
    `SData` | `withValues(java.util.Collection<java.lang.Double> values)`
    `SData` | `withValues(java.lang.Double... values)`
    `SData` | `withValuesArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### target

          protected int target

    - #### targetID

          protected int targetID

    - #### groupID

          protected int groupID

    - #### item

          protected int item

    - #### start

          protected double start

    - #### current

          protected double current

    - #### end

          protected double end

    - #### granularity

          protected int granularity

    - #### valuesArraySize

          protected int valuesArraySize

    - #### values

          protected java.util.List<java.lang.Double> values

  - ### Constructor Detail

    - #### SData

          public SData()

  - ### Method Detail

    - #### getTarget

          public int getTarget()

      Gets the value of the target property.

    - #### setTarget

          public void setTarget(int value)

      Sets the value of the target property.

    - #### getTargetID

          public int getTargetID()

      Gets the value of the targetID property.

    - #### setTargetID

          public void setTargetID(int value)

      Sets the value of the targetID property.

    - #### getGroupID

          public int getGroupID()

      Gets the value of the groupID property.

    - #### setGroupID

          public void setGroupID(int value)

      Sets the value of the groupID property.

    - #### getItem

          public int getItem()

      Gets the value of the item property.

    - #### setItem

          public void setItem(int value)

      Sets the value of the item property.

    - #### getStart

          public double getStart()

      Gets the value of the start property.

    - #### setStart

          public void setStart(double value)

      Sets the value of the start property.

    - #### getCurrent

          public double getCurrent()

      Gets the value of the current property.

    - #### setCurrent

          public void setCurrent(double value)

      Sets the value of the current property.

    - #### getEnd

          public double getEnd()

      Gets the value of the end property.

    - #### setEnd

          public void setEnd(double value)

      Sets the value of the end property.

    - #### getGranularity

          public int getGranularity()

      Gets the value of the granularity property.

    - #### setGranularity

          public void setGranularity(int value)

      Sets the value of the granularity property.

    - #### getValuesArraySize

          public int getValuesArraySize()

      Gets the value of the valuesArraySize property.

    - #### setValuesArraySize

          public void setValuesArraySize(int value)

      Sets the value of the valuesArraySize property.

    - #### getValues

          public java.util.List<java.lang.Double> getValues()

      Gets the value of the values property.

    - #### setValues

          public void setValues(java.util.List<java.lang.Double> values)

      Sets the value of the values property.

    - #### withTarget

          public SData withTarget(int value)

    - #### withTargetID

          public SData withTargetID(int value)

    - #### withGroupID

          public SData withGroupID(int value)

    - #### withItem

          public SData withItem(int value)

    - #### withStart

          public SData withStart(double value)

    - #### withCurrent

          public SData withCurrent(double value)

    - #### withEnd

          public SData withEnd(double value)

    - #### withGranularity

          public SData withGranularity(int value)

    - #### withValuesArraySize

          public SData withValuesArraySize(int value)

    - #### withValues

          public SData withValues(java.util.Collection<java.lang.Double> values)

    - #### withValues

          public SData withValues(java.lang.Double... values)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.